<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;

class NewWorkersController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:new_workers']);

    }
    public function index()
    {
        $rows = User::whereType('worker')->whereAdminApprove('false')->orderByDesc('id')->get();
        return view('admin.new_workers.index', compact('rows'));
    }

    public function destroy($id)
    {
        User::destroy($id);
        toast('تم الحذف بنجاح', 'success');
        return redirect()->route('new_workers.index');
    }

    public function show($id)
    {

        $row = User::find($id);
        return view('admin.new_workers.show', compact('row'));
    }

    public function update($id)
    {
        User::whereId($id)->update([
            'admin_approve' => 'true',
            'status' => 'active'
        ]);
        toast('تم تفعيل الطلب بنجاح', 'success');
        return redirect()->route('new_workers.index');
    }
}
