<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:setting']);

    }
    public function index()
    {
        $row = Setting::first();
        return view('admin.settings.index', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'mobile' => 'required',
            'email' => 'required',
            'facebook' => 'required',
            'twitter' => 'required',
            'sanp' => 'required',
            'about_ar' => 'required',
            'policy_ar' => 'required',
            'about_en' => 'required',
            'policy_en' => 'required',
            // 'multiple_commission'=>'required',
            'single_commission' => 'required',
            'fee' => 'required',
            // 'order_point'=>'required',
            // 'point_money'=>'required',
        ]);
        $setting = Setting::find($id);
        $setting['mobile'] = $request['mobile'];
        $setting['email'] = $request['email'];
        $setting['facebook'] = $request['facebook'];
        $setting['twitter'] = $request['twitter'];
        $setting['sanp'] = $request['sanp'];
        $setting['about->ar'] = $request['about_ar'];
        $setting['about->en'] = $request['about_en'];
        $setting['policy->ar'] = $request['policy_ar'];
        $setting['policy->en'] = $request['policy_en'];


        $setting['advice_tips->ar'] = $request['advice_tips_ar'];
        $setting['advice_tips->en'] = $request['advice_tips_en'];
        $setting['multiple_commission'] = $request['multiple_commission'];
        $setting['single_commission'] = $request['single_commission'];
        $setting['fee'] = $request['fee'];
        $setting['hotline'] = $request['hotline'];
//        $setting['order_point'] = $request['order_point'];
//        $setting['point_money'] = $request['point_money'];
//        $setting['subscription_status'] = $request['subscription_status'];
        $setting->update();
        toast('تم تعديل البيانات بنجاح', 'success', 'top-left');
        return redirect()->back();
    }


}
