<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Slider;
use App\User;
use Carbon\Carbon;
use Illuminate\Http\Request;

class SlidersController extends Controller
{

    public function __construct()
    {
        $this->middleware(['permission:sliders']);

    }
    public function index()
    {
        $rows = Slider::orderByDesc('id')->get();
        return view('admin.sliders.index', compact('rows'));
    }

    public function create()
    {
        $workers = User::where(['type' => 'worker', 'status' => 'active'])->get();
        return view('admin.sliders.create', compact('workers'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'image' => 'required|image',


        ]);
        $slider = new Slider();
        $slider['worker_id'] = $request['worker_id'];
        $slider['url'] = $request['url'];
        if ($request->hasFile('image')) {
            $slider->setImageAttribute();
        }
        $slider->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

    public function edit($id)
    {
        $row = Slider::find($id);
        $workers = User::where(['type' => 'worker', 'status' => 'active'])->get();
        return view('admin.sliders.edit', compact('row', 'workers'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'image' => 'image',


        ]);
        $slider = Slider::find($id);
        $slider['worker_id'] = $request['worker_id'];
        $slider['url'] = $request['url'];

        if ($request->hasFile('image')) {
            $slider->setImageAttribute();
        }
        $slider->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('sliders.index');
    }

    public function destroy($id)
    {
        Slider::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return back();
    }
}
