<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Http\Request;

class SubCategoriesController extends Controller
{
    public function create($id){
        return view('admin.sub_categories.create',compact('id'));
    }
    public function store(Request $request){
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
            'image' => 'required|image',
            'parent_id'=>'required|exists:categories,id'
        ]);
        $category = new Category();
        $category['name->ar'] = $request['name_ar'];
        $category['name->en'] = $request['name_en'];
        $category['parent_id'] = $request['parent_id'];
        $category->setImageAttribute();
        $category->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('categories.show',$request['parent_id']);
    }
    public function edit($id){
        $row = Category::find($id);
        return view('admin.sub_categories.edit',compact('row'));
    }
    public function update($id, Request $request)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
            'image' => 'image'
        ]);
        $category = Category::find($id);
        $category['name->ar'] = $request['name_ar'];
        $category['name->en'] = $request['name_en'];
        if ($request->hasFile('image')) {
            $category->setImageAttribute();
        }
        $category->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('categories.show',$category->parent_id);

    }
}
