<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;

class UsersController extends Controller
{
    public function __construct()
    {
        $this->middleware(['permission:users']);

    }
    public function index()
    {
        $rows = User::whereType('client')->get();
        return view('admin.users.index', compact('rows'));
    }

    public function edit($id)
    {
        $row = User::find($id);
        return view('admin.users.edit',compact('row'));
    }
    public function update($id,Request $request){
        $request->validate([
            'status'=>'required',
            'username'=>'required|max:191|unique:users,username,'.$id,
            'email'=>'required|max:191|email|unique:users,email,'.$id,
            'mobile'=>'required|max:191|unique:users,mobile,'.$id
        ]);


        $user = User::findOrFail($id);
        $user->status = $request['status'];
        $user->email = $request['email'];
        $user->mobile = $request['mobile'];
        $user->username = $request['username'];
        if ($request['password']) $user->password = bcrypt($request['password']);
        $user->update();
        toast('تم التعديل بنجاح','success');
        return redirect()->route('users.index');
    }


    public function destroy($id)
    {
        User::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return back();
    }
}
