<?php

namespace App\Http\Resources;

use App\Models\Setting;
use Illuminate\Http\Resources\Json\JsonResource;

class CategoriesOfferResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $setting = Setting::first();
        $allPriceAndFee = $this->price + ($this->price * $setting->fee / 100);

        return [
            'id' => $this->id,
            'name' => $this->name[\App::getLocale()],
            'price' => $this->price,
            'allPriceAndFee' => $allPriceAndFee,
            'additionalFee' => ($this->price * $setting->fee / 100),
            'image' => $this->image
        ];
    }
}
