<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CategoriesOffer extends Model
{
    protected $fillable = ['name', 'description', 'image'];
    protected $casts = ['name' => 'json', 'description' => 'json'];
    protected $table = 'categories_offers';


    public function categories()
    {
        return $this->belongsToMany(Category::class, 'offer_categories_pivot', 'offer_id', 'category_id');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/offers/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/offers/') . '/' . $this->attributes['image'];
        }
        return asset('felhal_logo.png');
    }
}
