<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{

    protected $table = 'categories';
    public $timestamps = true;
    protected $fillable = array('name', 'parent_id', 'image', 'price');
    protected $casts = ['name' => 'json'];

    public function category()
    {
        return $this->belongsTo(Category::class, 'parent_id');
    }

    public function sub_categories()
    {
        return $this->hasMany(Category::class, 'parent_id');
    }

    public function workers()
    {
        return $this->belongsToMany(User::class, 'workers_categories', 'category_id', 'worker_id');
    }


    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/categories/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/categories/') . '/' . $this->attributes['image'];
        }
        return asset('felhal_logo.png');
    }

    public function deleteImage()
    {
        @unlink(public_path('images/categories/' . $this->attributes['image']));

    }

}
