<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Package extends Model
{
    protected $table = 'packages';
    protected $fillable = ['title', 'description', 'image', 'price', 'duration', 'single_price', 'type'];
    protected $casts = ['title' => 'json', 'description' => 'json'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/packages/';
        $filename = '3331' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/packages/') . '/' . $this->attributes['image'];
        }
        return " ";
    }
}
