<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{

    protected $table = 'sliders';
    protected $fillable = ['image', 'worker_id', 'url'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/sliders/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/sliders/') . '/' . $this->attributes['image'];
        }
        return asset('felhal_logo.png');
    }

    public function worker()
    {
        return $this->belongsTo(User::class, 'worker_id');
    }

}
