<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class SubscriptionTransfer extends Model
{
    protected $table = 'subscription_transfers';
    protected $fillable = ['user_id', 'package_id', 'image', 'transfer_type', 'status', 'bank_id'];

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }

    public function package()
    {
        return $this->belongsTo(Package::class, 'package_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/transfers/';
        $filename = '3331' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/transfers/') . '/' . $this->attributes['image'];
        }
        return " ";
    }
}
