@extends('admin.layout.master')
@section('title', 'المدن')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">المدن</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('coupons.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الكود</label>
                                    <input type="text" class="form-control" value="{{$row->code}}" required name="code"
                                           id="exampleInputEmail1"
                                           placeholder="الكود">
                                    @if ($errors->has('code'))
                                        <small class="text-danger">{{ $errors->first('code') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">نوع الخصم</label>

                                    <select name="discount_type" class="form-control" required>
                                        <option
                                            {{$row->discount_type == 'discount' ? 'selected' : ''}} value="discount">
                                            نسبة
                                        </option>
                                        <option {{$row->discount_type == 'amount' ? 'selected' : ''}}   value="amount">
                                            مبلغ
                                        </option>

                                    </select>
                                    @if ($errors->has('discount_type'))
                                        <small class="text-danger">{{ $errors->first('discount_type') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">قيمة الخصم</label>
                                    <input type="number" class="form-control" value="{{$row->discount_amount}}" required
                                           name="discount_amount"
                                           id="exampleInputEmail1"
                                           placeholder="نسبة الخصم">
                                    @if ($errors->has('discount_amount'))
                                        <small class="text-danger">{{ $errors->first('discount_amount') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">أقصي نسبة خصم</label>
                                    <input type="number" class="form-control" value="{{$row->max_discount}}" required
                                           name="max_discount"
                                           id="exampleInputEmail1"
                                           placeholder="أقصي نسبة خصم">
                                    @if ($errors->has('max_discount'))
                                        <small class="text-danger">{{ $errors->first('max_discount') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">عدد مرات الإستخدام</label>
                                    <input type="number" class="form-control" value="{{$row->use_count}}" required
                                           name="use_count"
                                           id="exampleInputEmail1"
                                           placeholder="عدد مرات الإستخدام">
                                    @if ($errors->has('use_count'))
                                        <small class="text-danger">{{ $errors->first('use_count') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ البداية</label>
                                    <input type="date" class="form-control" value="{{$row->start_date}}" required
                                           name="start_date"
                                           id="exampleInputEmail1"
                                           placeholder="تاريخ البداية">
                                    @if ($errors->has('start_date'))
                                        <small class="text-danger">{{ $errors->first('start_date') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">تاريخ النهاية</label>
                                    <input type="date" class="form-control" value="{{$row->end_date}}" required
                                           name="end_date"
                                           id="exampleInputEmail1"
                                           placeholder="تاريخ النهاية">
                                    @if ($errors->has('end_date'))
                                        <small class="text-danger">{{ $errors->first('end_date') }}</small>
                                    @endif
                                </div>


                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
