@extends('admin.layout.master')
@section('title', 'العروض')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">العروض</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('offers.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة العربية</label>
                                <input type="text" class="form-control" value="{{$row->name['ar']}}" required
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة العربية">
                                @if ($errors->has('name_ar'))
                                    <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{$row->name['en']}}" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الاسم باللغة الإنجليزية">
                                @if ($errors->has('name_en'))
                                    <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف باللغه العربية</label>
                                <textarea name="description_ar" placeholder="الوصف باللغه العربية" class="form-control"
                                          required>
                                  {{$row->description['ar']}}
                              </textarea>

                                @if ($errors->has('description_ar'))
                                    <small class="text-danger">{{ $errors->first('description_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف باللغه الأنجليزية</label>
                                <textarea name="description_en" placeholder="الوصف بالانجليزية" class="form-control"
                                          required>
                                  {{$row->description['en']}}
                              </textarea>

                                @if ($errors->has('description_en'))
                                    <small class="text-danger">{{ $errors->first('description_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputEmail1">الخدمات المسعرة</label>
                                <select class="form-control js-example-basic-multiple" name="categories[]" multiple
                                        required>
                                    @foreach($categories as $category)
                                        <option
                                            {{$row->categories->contains($category) ? 'selected' : ''}}  value="{{$category->id}}">{{$category->name['ar']}}</option>
                                    @endforeach
                                </select>

                                @if ($errors->has('categories'))
                                    <small class="text-danger">{{ $errors->first('categories') }}</small>
                                @endif
                            </div>

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">الصورة</h4>
                                        <input type="file" name="image" class="dropify"
                                               data-default-file="{{$row->image}}" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('image'))
                                    <small class="text-danger">{{ $errors->first('image') }}</small>
                                @endif
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
