<div class="col-12">

    <div class="card-box">


        <form method="get" action="{{route('order_filter')}}" enctype="multipart/form-data">
            @csrf


            <div class="form-group">
                <label for="exampleInputPassword1">اسم الفنى </label>

                <select required name="worker_id" class="form-control">
                    <option selected disabled>يرجي إختيار أحد الفنيين</option>

                    @foreach(\App\User::whereType('worker')->get() as $worker)
                        <option value="{{$worker->id}}"> {{ $worker->username }}</option>
                    @endforeach

                </select>


            </div>

            <div class="form-group">
                <label>التاريخ</label>
                <div>
                    <div class="input-daterange input-group" data-provide="datepicker">
                        <input type="text" placeholder="التاريخ من" class="form-control" name="start"/>
                        <input type="text" placeholder="التاريخ إلى" class="form-control" name="end"/>
                    </div>
                </div>
            </div>

            <button type="submit" class="btn btn-primary">بحث</button>

        </form>

    </div>

    <div class="card-box">
        {{--                 @include('admin.layout.message')--}}

        <h4 class="header-title">أحدث الطلبات</h4>
        {{--                <p class="sub-header">--}}
        {{--                    <a href="{{route('companies.create')}}">--}}
        {{--                        <button class="btn btn-success">--}}
        {{--                            إنشاء جديد--}}
        {{--                        </button>--}}
        {{--                    </a>--}}
        {{--                </p>--}}

        <table id="example" class="table table-bordered dt-responsive nowrap"
               style="border-collapse: collapse; border-spacing: 0; width: 100%;">
            <thead>
            <tr style="font-size: large ; font-family: cairo">
                <th>#</th>
                <th>الرقم المرجعي</th>
                <th>كود الإنتهاء</th>
                <th>اسم العميل</th>
                <th>اسم الفني</th>
                <th>العرض إن وجد</th>
                <th> الطلب</th>
                <th> العنوان</th>
                <th> تاريخ الطلب</th>
                <th> السعر شامل الضريبة</th>
                <th> طريقه الدفع</th>
                <td>قيمة الدفع الاولي</td>
                <td>قيمة الدفع الثانية</td>
                <td>كود خصم</td>
                <th>الحالة</th>
                <th>التحكم</th>
            </tr>
            </thead>
            <tbody>
            <?php
            $i = 1;
            ?>
            @foreach($rows as $row)
                <tr>
                    <td>{{$i}}</td>
                    <td>{{$row->code}}</td>
                    <td>{{$row->finish_code}}</td>
                    <td>{{$row->user->username}}</td>
                    <td>{{$row->worker ? $row->worker->username : "لم يتم تخصيص فنى"}}</td>
                    <td>{{$row->categoryOffer_id ? $row->categoryOffer->name['ar'] : 'لا يوجد عرض'}}</td>
                    <td>{{$row->title}}</td>
                    <td>{{$row->address_detail->address}}</td>
                    <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>
                    <td>{{$row->total_price}}</td>
                    <td>

                        @if($row->payment_type == 'visa')

                            تحويل  إليكتروني

                        @elseif($row->payment_type == 'bank')
                            تحويل بنكي
                        @else
                            لم يتم التحديد بعد
                        @endif


                    </td>
                    <td>{{(integer) $row->total_price * 15/100}}</td>
                    <td>{{(integer) $row->total_price * 85/100}}</td>
                    <td>{{$row->coupon ? $row->counpon : "لم يتم الاستخدام"}}</td>


                    <td>
                        {{getOrderStatus($row->id)}}
                    </td>


                    <td>
                        <button type="button" class="btn btn-danger waves-effect waves-light"
                                data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                        </button>


                        <a href="{{route('orders.edit',$row->id)}}">
                            <button type="button"
                                    class="btn btn-info waves-effect waves-light">تغيير حالة الطلب
                            </button>
                        </a>

                        <a href="{{route('orders.show',$row->id)}}">
                            <button type="button"
                                    class="btn btn-info waves-effect waves-light">التفاصيل
                            </button>
                        </a>
                    </td>
                </tr>
                <?php
                $i++;
                ?>
                <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                     aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title"
                                    id="myModalLabel">حذف العنصر</h5>
                                <button type="button" class="close" data-dismiss="modal"
                                        aria-hidden="true">×
                                </button>
                            </div>
                            <div class="modal-body">
                                <h5 class="font-16">هل تريد الحذف ؟</h5>

                            </div>
                            <div class="modal-footer">

                                <form method="post" enctype="multipart/form-data"
                                      action="{{route('orders.destroy',$row->id)}}">
                                    @csrf
                                    @method('DELETE')
                                    <button type="button" class="btn btn-light waves-effect"
                                            data-dismiss="modal">إلغاء
                                    </button>
                                    <button type="submit"
                                            class="btn btn-danger waves-effect waves-light">حذف
                                    </button>
                                </form>


                            </div>
                        </div><!-- /.modal-content -->
                    </div><!-- /.modal-dialog -->
                </div><!-- /.modal -->

            @endforeach

            </tbody>
        </table>
    </div>
</div>
