@extends('admin.layout.master')
@section('title', 'تعديل بيانات الطلب')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل بيانات الطلب</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('second_orders.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf

                            @method('PATCH')
                            <div class="form-group">
                                <label for="exampleInputPassword1">عن الطلب</label>
                                <input type="text" name="title" class="form-control" required value="{{$row->title}}"
                                       placeholder="عن الطلب">
                                @if ($errors->has('title'))
                                    <small class="text-danger">{{ $errors->first('title') }}</small>
                                @endif


                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">وصف الطلب</label>
                                <textarea name="description" required class="form-control"
                                          placeholder="وصف الطلب">{{$row->description}}</textarea>
                            </div>
                            @if ($errors->has('description'))
                                <small class="text-danger">{{ $errors->first('description') }}</small>
                            @endif

                            <div class="form-group">
                                <label for="exampleInputPassword1">عنوان الطلب الخاص بالعميل</label>

                                <select name="address_id" class="form-control" required>
                                    @foreach($row->user->addresses as $address)
                                        <option
                                            value="{{$address->id}}" {{$row->address_id == $address->id ? "selected" : ''}}>
                                            {{$address->title}} - {{$address->address}}
                                        </option>

                                    @endforeach
                                </select>


                            </div>
                            @if ($errors->has('address_id'))
                                <small class="text-danger">{{ $errors->first('address_id') }}</small>
                            @endif
                            <div class="form-group">
                                <h4>التوقيت</h4>
                                <label for="exampleInputPassword1">التاريخ</label>
                                <input type="date" name="date" class="form-control" required
                                       value="{{\Carbon\Carbon::parse($row->data)->toDateString()}}">


                            </div>
                            @if ($errors->has('date'))
                                <small class="text-danger">{{ $errors->first('date') }}</small>
                            @endif
                            <div class="form-group">

                                <label for="exampleInputPassword1">عدد الايام</label>
                                <input type="number" name="days_count" class="form-control" placeholder="عدد الايام"
                                       required value="{{$row->days_count}}">


                            </div>
                            @if ($errors->has('date'))
                                <small class="text-danger">{{ $errors->first('date') }}</small>
                            @endif



                            <div class="form-group">
                                <label for="exampleInputPassword1">تغيير حالة الطلب</label>

                                <select required name="status" class="form-control">
                                    <option selected disabled>يرجي إختيار أحد الإختيارات</option>


                                    @foreach(\App\Models\OrderStatus::all() as $orderStatus)
                                        <option value="{{$orderStatus->key}}"
                                                @if($row->status == $orderStatus->key) selected @endif >
                                            {{$orderStatus->name['ar']}}</option>
                                    @endforeach

                                </select>


                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
