@extends('admin.layout.master')
@section('title', "الطلبات والتقارير")
@section('css')

    <link href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdn.datatables.net/buttons/1.6.2/css/buttons.dataTables.min.css">
@stop
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الطلبات والتقارير</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">

            <div class="card-box">


                <form method="get" action="{{route('order_search')}}" enctype="multipart/form-data">
                    @csrf

                    <input type="hidden" name="worker_id" value="{{$worker->id}}">

                    <div class="form-group">
                        <label>التاريخ</label>
                        <div>
                            <div class="input-daterange input-group" data-provide="datepicker">
                                <input type="text" placeholder="التاريخ من" class="form-control" name="start"/>
                                <input type="text" placeholder="التاريخ إلى" class="form-control" name="end"/>
                            </div>
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary">بحث</button>

                </form>

            </div>

            <div class="card-box">
                {{--                 @include('admin.layout.message')--}}

                <h4 class="header-title"> طلبات الفني</h4>
                {{--                <p class="sub-header">--}}
                {{--                    <a href="{{route('companies.create')}}">--}}
                {{--                        <button class="btn btn-success">--}}
                {{--                            إنشاء جديد--}}
                {{--                        </button>--}}
                {{--                    </a>--}}
                {{--                </p>--}}

                <table id="example" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الرقم المرجعي</th>
                        <th>كود الإنتهاء</th>
                        <th>اسم العميل</th>
                        <th>عنوان الطلب</th>
                        <th> العنوان</th>
                        <th> تاريخ الطلب</th>
                        <th> السعر شامل الضريبة</th>
                        <th>الحالة</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->code}}</td>
                            <td>{{$row->finish_code}}</td>
                            <td>{{$row->user->username}}</td>
                            <td>{{$row->title}}</td>
                            <td>{{$row->address}}</td>
                            <td>{{\Carbon\Carbon::parse($row->created_at)->toDateString()}}</td>
                            <td>{{$row->total_price}}</td>
                            <td>
                                {{getOrderStatus($row->id)}}
                            </td>


                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>


                                <a href="{{route('orders.edit',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">تغيير حالة الطلب
                                    </button>
                                </a>

                                <a href="{{route('orders.show',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">التفاصيل
                                    </button>
                                </a>
                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('orders.destroy',$row->id)}}">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
@section('scripts')

    <script>
        $(document).ready(function () {
            $('#example').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excel',
                ]
            });
        });
    </script>

@stop
